CMSIS-DSP: Globals

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- f
- i
- m
- n
- p
- q
- s
- t
- u
- v
- x

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - _ -

- __PACKq7 : arm_math.h
- __PKHBT : arm_math.h
- __PKHTB : arm_math.h
- __SIMD32 : arm_math.h
- __SIMD32_CONST : arm_math.h
- __SIMD64 : arm_math.h
- _SIMD32_OFFSET : arm_math.h

### - a -

- ARMBITREVINDEXTABLE_1024_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_128_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_16_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_2048_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_256_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_32_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_4096_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_512_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_64_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_1024_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_128_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_16_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_2048_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_256_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_32_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_4096_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_512_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_64_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLEF64_1024_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLEF64_128_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLEF64_16_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLEF64_2048_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLEF64_256_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLEF64_32_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLEF64_4096_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLEF64_512_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLEF64_64_TABLE_LENGTH : arm_common_tables.h

### - b -

- BLOCK_SIZE : arm_fir_example_f32.c
- BLOCKSIZE : arm_graphic_equalizer_example_q31.c , arm_signal_converge_example_f32.c

### - c -

- CMPLX_DIM : arm_math.h
- CONTROLLER_Q31_SHIFT : arm_math.h

### - d -

- DELTA : arm_convolution_example_f32.c , arm_dotproduct_example_f32.c , arm_sin_cos_example_f32.c , arm_variance_example_f32.c
- DELTA_COEFF : arm_signal_converge_example_f32.c
- DELTA_ERROR : arm_signal_converge_example_f32.c
- DELTA_Q15 : arm_math.h
- DELTA_Q31 : arm_math.h
- DPI_F : arm_gaussian_naive_bayes_predict_f32.c

### - f -

- F32_ABSMAX : arm_math.h
- F32_ABSMIN : arm_math.h
- F32_MAX : arm_math.h
- F32_MIN : arm_math.h
- F64_ABSMAX : arm_math.h
- F64_ABSMIN : arm_math.h
- F64_MAX : arm_math.h
- F64_MIN : arm_math.h
- FAST_MATH_Q15_SHIFT : arm_math.h
- FAST_MATH_Q31_SHIFT : arm_math.h
- FAST_MATH_TABLE_SIZE : arm_math.h
- FFTINIT : arm_cfft_init_q31.c , arm_cfft_init_f32.c , arm_cfft_init_q15.c , arm_cfft_init_f64.c

### - i -

- INDEX_MASK : arm_math.h
- INPUT_SPACING : arm_math.h

### - m -

- MAX_BLOCKSIZE : arm_convolution_example_f32.c , arm_dotproduct_example_f32.c , arm_sin_cos_example_f32.c , arm_variance_example_f32.c
- MU : arm_signal_converge_example_f32.c
- mult_32x32_keep32 : arm_math.h
- mult_32x32_keep32_R : arm_math.h
- multAcc_32x32_keep32 : arm_math.h
- multAcc_32x32_keep32_R : arm_math.h
- multSub_32x32_keep32 : arm_math.h
- multSub_32x32_keep32_R : arm_math.h

### - n -

- NB_OF_CLASSES : arm_bayes_example_f32.c
- NB_SUPPORT_VECTORS : arm_svm_example_f32.c
- NUM_TAPS : arm_fir_example_f32.c
- NUMBLOCKS : arm_graphic_equalizer_example_q31.c
- NUMFRAMES : arm_signal_converge_example_f32.c
- NUMSTAGES : arm_graphic_equalizer_example_q31.c
- NUMSTUDENTS : arm_class_marks_example_f32.c
- NUMSUBJECTS : arm_class_marks_example_f32.c
- NUMTAPS : arm_signal_converge_example_f32.c

### - p -

- PI : arm_math.h
- PI_F : arm_gaussian_naive_bayes_predict_f32.c

### - q -

- Q15_ABSMAX : arm_math.h
- Q15_ABSMIN : arm_math.h
- Q15_MAX : arm_math.h
- Q15_MIN : arm_math.h
- Q31_ABSMAX : arm_math.h
- Q31_ABSMIN : arm_math.h
- Q31_MAX : arm_math.h
- Q31_MIN : arm_math.h
- Q7_ABSMAX : arm_math.h
- Q7_ABSMIN : arm_math.h
- Q7_MAX : arm_math.h
- Q7_MIN : arm_math.h

### - s -

- SNR_THRESHOLD : arm_convolution_example_f32.c , arm_linear_interp_example_f32.c , arm_matrix_example_f32.c
- SNR_THRESHOLD_F32 : arm_fir_example_f32.c , arm_graphic_equalizer_example_q31.c
- SQ : arm_math.h
- STEP : arm_math.h

### - t -

- TABLE_SPACING_Q15 : arm_math.h
- TABLE_SPACING_Q31 : arm_math.h
- TEST_LENGTH_SAMPLES : arm_fft_bin_example_f32.c , arm_signal_converge_example_f32.c , arm_fir_example_f32.c , arm_linear_interp_example_f32.c , arm_class_marks_example_f32.c
- TESTLENGTH : arm_graphic_equalizer_example_q31.c
- twiddleCoef : arm_common_tables.h

### - u -

- USE_STATIC_INIT : arm_class_marks_example_f32.c

### - v -

- VECTOR_DIMENSION : arm_bayes_example_f32.c , arm_svm_example_f32.c

### - x -

- XSPACING : arm_linear_interp_example_f32.c